mbed_host_tests.host_tests.base_host_test.HostTestCallbackBase Class Reference
Inheritance diagram for mbed_host_tests.host_tests.base_host_test.HostTestCallbackBase:

## Public Member Functions

| __init__ (self)
| register_callback (self, key, callback, force=False)
| Register callback for a specific event (key: event name)
| get_callbacks (self)
| setup (self)
| Setup your tests and callbacks.
| result (self)
| Returns host test result (True, False or None)
| teardown (self)
| Blocking always guaranteed test teardown.
Public Member Functions inherited from mbed_host_tests.host_tests.base_host_test.BaseHostTestAbstract
| notify_complete (self, result=None)
| Notify main even loop that host test finished processing.
| reset_dut (self, value)
| reset (self)
| notify_conn_lost (self, text)
| Notify main even loop that there was a DUT-host test connection error.
| log (self, text)
| Send log message to main event loop.
| send_kv (self, key, value)
| Send Key-Value data to DUT.
| setup_communication (self, event_queue, dut_event_queue, config={})
| Setup queues used for IPC.
| get_config_item (self, name)

## Additional Inherited Members

Static Public Attributes inherited from mbed_host_tests.host_tests.base_host_test.BaseHostTestAbstract
str | name = ''
| script_location = None

## Detailed Description

Definition at line 130 of file base_host_test.py.

## Constructor & Destructor Documentation

## __init__()

mbed_host_tests.host_tests.base_host_test.HostTestCallbackBase.__init__ | ( |  | self | ) |

Reimplemented in mbed_host_tests.host_tests.base_host_test.BaseHostTest.

Definition at line 132 of file base_host_test.py.

## Member Function Documentation

## get_callbacks()

mbed_host_tests.host_tests.base_host_test.HostTestCallbackBase.get_callbacks | ( |  | self | ) |

Definition at line 244 of file base_host_test.py.

## register_callback()

mbed_host_tests.host_tests.base_host_test.HostTestCallbackBase.register_callback | ( |  | self,
|  |  | key,
|  |  | callback,
|  |  | force = `False`
| ) |  |

Register callback for a specific event (key: event name)

Parameters

  key | String with name of the event
  callback | Callable which will be registstered for event "key"
  force | God mode

Definition at line 201 of file base_host_test.py.

## result()

mbed_host_tests.host_tests.base_host_test.HostTestCallbackBase.result | ( |  | self | ) |

Returns host test result (True, False or None)

Reimplemented from mbed_host_tests.host_tests.base_host_test.BaseHostTestAbstract.

Definition at line 250 of file base_host_test.py.

## setup()

mbed_host_tests.host_tests.base_host_test.HostTestCallbackBase.setup | ( |  | self | ) |

Setup your tests and callbacks.

Reimplemented from mbed_host_tests.host_tests.base_host_test.BaseHostTestAbstract.

Definition at line 247 of file base_host_test.py.

## teardown()

mbed_host_tests.host_tests.base_host_test.HostTestCallbackBase.teardown | ( |  | self | ) |

Blocking always guaranteed test teardown.

Reimplemented from mbed_host_tests.host_tests.base_host_test.BaseHostTestAbstract.

Definition at line 253 of file base_host_test.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests/base_host_test.py